[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.Clear

Removes the values stored in the Items property.

## Declaration

Source position: comboex.pas line 319

`public procedure TCustomCheckCombo.Clear; override;`

## Description

Clear is an overridden procedure in TCustomCheckCombo used to remove check box item state information. Clear calls ClearItemStates to free TCheckComboItemState classes instances stored in the Objects property in Items. Clear calls the inherited method prior to exit to remove its contents.

## See also

TCustomCheckCombo.ClearItemStates |  | Removes all state classes allocated for the check boxes in the control.
TStringList.Clear
TStrings.Objects
TCheckComboItemState |  | Represents state and data for a check box item displayed in TCustomCheckCombo.